Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Transform Dlq Errors

Get DLQ errors for transform - retrieves the first DLQ error from the topic and shows: timestamp, error message, message offset, link to the DLQ topic.

Returns: TransformDLQError: First DLQ error with parsed error message None: If transform not found, DLQ topic empty, or access error

GET/transforms/{transform_id}/dlq
Authorization
AuthorizationBearer token · headerrequired
Path parameters
transform_idstringrequired
Responses
200

Successful Response

Any of:
TransformDLQError
timestampstring<date-time>required
error_messagestringrequired
message_offsetintegerrequired
dlq_topic_namestringrequired
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/transforms/string/dlq' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "timestamp": "2019-08-24T14:15:22Z",
  "error_message": "string",
  "message_offset": 0,
  "dlq_topic_name": "string"
}